Jump to content

[1.8.1-1.11]R-T-B's Kopernicus Unified "Bleeding Edge" Branch


Recommended Posts

1 hour ago, R-T-B said:

A simple one that changes the stock planets only slightly and is very popular would be outer planets mod. (OPT)

Link.

New release drop as well.  Will be on CKAN shortly:

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 63. It contains the following changes:

1.) A bug in which Solar Rotation Periods were being handled incorrectly has been patched, as well as some other misc bugs. For details, see PR #51 and PR #52 (Thanks @Sigma88)

2.) SolarPanel.cfg fixes to better cover ModuleCurvedSolarPanel, used by NearFutureSolar.

Known Bugs:

1.) Distant bodies (farther out than Eeloo) sometimes exhibit issues with sinking landing gear and deadly terrain to Kerbals. We are tracking this but don't have a fix just yet.

2.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

so the -62 one is the one I was installing from CKAN which brought up poptart cat and said it wasn't compatible with 1.11.0 ... CKAN says max KSP version "1.11.0 (using mod version UBEE_1110_62)" yet it still didn't work, plus the ModularFlightIntegrator conflict - is this stuff fixed in -63 or not yet?

Link to post
Share on other sites
1 hour ago, ss8913 said:

so the -62 one is the one I was installing from CKAN which brought up poptart cat and said it wasn't compatible with 1.11.0 ... CKAN says max KSP version "1.11.0 (using mod version UBEE_1110_62)" yet it still didn't work, plus the ModularFlightIntegrator conflict - is this stuff fixed in -63 or not yet?

I think you may need to uninstall MFI and then install K-BE which will provide the proper version of MFI that it nees.  But I'm still not clear about the base MFI stand-alone versus the MFI that is included with BE.

 

Link to post
Share on other sites
2 hours ago, Murdabenne said:

I think you may need to uninstall MFI and then install K-BE which will provide the proper version of MFI that it nees.  But I'm still not clear about the base MFI stand-alone versus the MFI that is included with BE.

 

This is correct.  CKAN will work properly for 1.11 if you uninstall MFI and then install Kopernicus.

Link to post
Share on other sites

And maybe doublecheck if you downloaded the version for 1.11.  I had the same problem and goofed arround for half an hour before i noticed i accidentaly downloaded the 1.10 version of K-BE

Link to post
Share on other sites
9 hours ago, KerikBalm said:

Is this still compatible with the old sigma-rescale mod?

It had some issues last I checked in certain large configurations, but overall, yes.  They may even be fixed in large configurations, unsure (it was 10x and larger).

14 hours ago, Filigan said:

And maybe doublecheck if you downloaded the version for 1.11.  I had the same problem and goofed arround for half an hour before i noticed i accidentaly downloaded the 1.10 version of K-BE

Yes. the way github orders them is not the most intuitive for end users.

Link to post
Share on other sites
8 hours ago, R-T-B said:

It had some issues last I checked in certain large configurations, but overall, yes.  They may even be fixed in large configurations, unsure (it was 10x and larger).

Last time I checked (1.9, 1.10?) when I used sigma dimensions with the stock system at 3x, all the stock planets were fine, but my mod planet was not fine (terrain collision was all messed up)... yet the planet worked fine without sigma dimensions (used to work fine with both).

Spoiler

At 3x:

tqmxkYG.png

8K6mTEA.png

YQdSBJk.png

At 1x:

TZyq83P.png

I just wanted to know if it was all sorted out before I try to pick up KSP again (haven't played in a while due to mod updating and real life stuff)

Link to post
Share on other sites
5 hours ago, KerikBalm said:

Last time I checked (1.9, 1.10?) when I used sigma dimensions with the stock system at 3x, all the stock planets were fine, but my mod planet was not fine (terrain collision was all messed up)... yet the planet worked fine without sigma dimensions (used to work fine with both).

  Hide contents

At 3x:

tqmxkYG.png

8K6mTEA.png

YQdSBJk.png

At 1x:

TZyq83P.png

I just wanted to know if it was all sorted out before I try to pick up KSP again (haven't played in a while due to mod updating and real life stuff)

Ah yes, that's the bug I was talking about.

I was just told by a user it was fixed, though I have not independently verified.  But I trust the user, so I'm going to say 90% odds that is fixed.

Also, new release:

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 64. It contains the following changes:

1.) An attempted bugfix for the bug in which distant bodies would have landing gear and legs sink (as well as poof your kerbals) has been deployed. It seems to work well, but testing is required. Note that teleporting can still trigger the bug, but teleporting has always been glitchy so we don't really plan on fixing that.  If you must teleport, do a scene switch (spacecenter and back) and it should correct.

Known Bugs:

1.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

2.) When zooming out all the way in map view at interstellar ranges, the navball and sometimes behaves oddly. We are working on this and all the interstellar bugs actively.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

Edited by R-T-B
Link to post
Share on other sites

I pulled a fast one and readded support for 1.8.1.  Please test.  It should work better than the last official release, and have more bugfixes.  All hail the new common source build system, it enabled us to do this relatively easily, and without compromising support for other versions!  I'd really like to push 1.8.1 support to stable branch, but we need to test it first.

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 65. It contains the following changes:

1.) We have extended the common source build system to support KSP Version 1.8.1. This should bring much needed bugfixes including the distant world landing gears bugfix and scatter performance fixes to that build. Other versions should not be affected by this but testing is warranted, especially with the 1.8.1 build itself.

Known Bugs:

1.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

2.) When zooming out all the way in map view at interstellar ranges, the navball and sometimes behaves oddly. We are working on this and all the interstellar bugs actively.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

4.)  This build has a bug with stock oceans being black, working on it.  See below.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

Edited by R-T-B
Link to post
Share on other sites
1 hour ago, Brigadier said:

Good thing I wasn't as fast as you...and saved updating twice within 10 minutes. :cool::sticktongue:

fall back, lol.  The last update made stock oceans black due to a late night typo.  Fix pending.  Eta very soon.

Edited by R-T-B
Link to post
Share on other sites

 

@R-T-B R-T-B released this 24 seconds ago

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 66. It contains the following changes:

1.) A bugfix has been applied to the black stock ocean bug on ultra shaders that appeared sometime around when we added 1.8.1 support. There should be no other 1.8-support-adding side effects, sorry about that.

Known Bugs:

1.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

2.) When zooming out all the way in map view at interstellar ranges, the navball and sometimes behaves oddly. We are working on this and all the interstellar bugs actively.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

Edited by R-T-B
Link to post
Share on other sites

Final release for today, basically performance optimizing:

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 67. It contains the following changes:

1.) A performance limiter has been applied to the distant-space-landing-gear-physics-checker. This helps large part count craft perform their best. Thanks to Bacon for help testing.

Known Bugs:

1.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

2.) When zooming out all the way in map view at interstellar ranges, the navball and sometimes behaves oddly. We are working on this and all the interstellar bugs actively.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

Edited by R-T-B
Link to post
Share on other sites
1 hour ago, Kwebib said:

Closing in on Release 69. Good stuff.

It's going to be OVER 9000!!!! soon at this rate.

Really though.  Bleeding edge is best thought of as a sort of rolling release that gets better with time, and the release number is just a sort of identifier of the time you downloaded it. ;)

Link to post
Share on other sites
1 hour ago, ss8913 said:

CKAN still says that it conflicts with the 1.11.0-compatible latest kopernicus dev release, however.  Not sure if it actually does or not, but ckan remains convinced ><

Yup, @R-T-Bwill need to update his metadata to account for that release.

Link to post
Share on other sites
On 1/25/2021 at 11:49 AM, KerikBalm said:

Last time I checked (1.9, 1.10?) when I used sigma dimensions with the stock system at 3x, all the stock planets were fine, but my mod planet was not fine (terrain collision was all messed up)... yet the planet worked fine without sigma dimensions (used to work fine with both).

  Reveal hidden contents

At 3x:

tqmxkYG.png

8K6mTEA.png

YQdSBJk.png

At 1x:

TZyq83P.png

I just wanted to know if it was all sorted out before I try to pick up KSP again (haven't played in a while due to mod updating and real life stuff)

SD sorely needs an update for 1.11

 

sorry for taking so long but real life i getting in the way :D

 

I'll see if I can find some time. In the meantime, for the collisions bug there was a solution floating around somewhere, not really sure where though.

 

maybe in the github? I'll try to see if I can find it

 

EDIT: https://github.com/Sigma88/Sigma-Dimensions/issues/95#issuecomment-650375904

Edited by Sigma88
Link to post
Share on other sites
15 hours ago, HebaruSan said:

Yup, @R-T-Bwill need to update his metadata to account for that release.

I will be doing this tonight, just busy with work again.  There will also probably be a minor bugfix for the few very rare instances of sinking that can still happen on distant bodies (pretty darn rare, but can happen).

Oh, and there was at least one report of black textured OceanFX's on a world.  Need to see if that's a valid report or a broken mod.

Edited by R-T-B
Link to post
Share on other sites

This is why I'd love if ckan had a "force install, consequences be damned" option a la what you can do with technically out of date stuff.

 

On topic though, god damn RTB you're crushing it with bugfix updates.

Link to post
Share on other sites

Finally! Kopernicus for 1.11, so my "Laginator" interstellar spacecraft can actually have a purpose instead of going to Eeloo and back for the 47th time. (I am new to the forum, so I had no clue this existed)

Link to post
Share on other sites

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 68. It contains the following changes:

1.) Functionally equivalent to release 67, this release was built from a update to the common source build system. This is largely academic to end users, merely enabling us to push future releases faster. If this release gets posted, it worked.

2.) CKAN script updates to the 1.11 builds for better MFI dependency handling.

Known Bugs:

1.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

2.) When zooming out all the way in map view at interstellar ranges, the navball and sometimes behaves oddly. We are working on this and all the interstellar bugs actively.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

Link to post
Share on other sites
20 minutes ago, R-T-B said:

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 68. It contains the following changes:

1.) Functionally equivalent to release 67, this release was built from a update to the common source build system. This is largely academic to end users, merely enabling us to push future releases faster. If this release gets posted, it worked.

2.) CKAN script updates to the 1.11 builds for better MFI dependency handling.

Known Bugs:

1.) At interstellar ranges, heat can sometimes behave strangely. It is best to turn off part heating when traveling far far away.

2.) When zooming out all the way in map view at interstellar ranges, the navball and sometimes behaves oddly. We are working on this and all the interstellar bugs actively.

3.) The ring shader is broken in OpenGL environments. This is a hopefully temporary setback.

Please download the right output zip for your version. "1.9.1" zips are for 1.9.1, "1.10.1" for 1.10.1, "1.11.0" for 1.11.0, etc.

Thanks and as always, report bugs!

-RTB

We are getting close...

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...